0

How to solve the following error,

enter image description here

Network Error :

trace: "#0 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(58): Magento\Checkout\Model\PaymentInformationManagement->savePaymentInformationAndPlaceOrder(9400, Object(Magento\Quote\Model\Quote\Payment), Object(Magento\Quote\Model\Quote\Address))↵#1 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(138): Magento\Checkout\Model\PaymentInformationManagement\Interceptor->___callParent('savePaymentInfo...', Array)↵#2 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(153): Magento\Checkout\Model\PaymentInformationManagement\Interceptor->Magento\Framework\Interception{closure}(9400, Object(Magento\Quote\Model\Quote\Payment), Object(Magento\Quote\Model\Quote\Address))↵#3 /var/www/html/test/generated/code/Magento/Checkout/Model/PaymentInformationManagement/Interceptor.php(26): Magento\Checkout\Model\PaymentInformationManagement\Interceptor->___callPlugins('savePaymentInfo...', Array, Array)↵#4 [internal function]: Magento\Checkout\Model\PaymentInformationManagement\Interceptor->savePaymentInformationAndPlaceOrder(9400, Object(Magento\Quote\Model\Quote\Payment), Object(Magento\Quote\Model\Quote\Address))↵#5 /var/www/html/test/app/code/Magento/Webapi/Controller/Rest/SynchronousRequestProcessor.php(95): call_user_func_array(Array, Array)↵#6 /var/www/html/test/app/code/Magento/Webapi/Controller/Rest.php(188): Magento\Webapi\Controller\Rest\SynchronousRequestProcessor->process(Object(Magento\Framework\Webapi\Rest\Request\Proxy))↵#7 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(58): Magento\Webapi\Controller\Rest->dispatch(Object(Magento\Framework\App\Request\Http))↵#8 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(138): Magento\Webapi\Controller\Rest\Interceptor->___callParent('dispatch', Array)↵#9 /var/www/html/test/lib/internal/Magento/Framework/Interception/Interceptor.php(153): Magento\Webapi\Controller\Rest\Interceptor->Magento\Framework\Interception{closure}(Object(Magento\Framework\App\Request\Http))↵#10 /var/www/html/test/generated/code/Magento/Webapi/Controller/Rest/Interceptor.php(26): Magento\Webapi\Controller\Rest\Interceptor->___callPlugins('dispatch', Array, Array)↵#11 /var/www/html/test/lib/internal/Magento/Framework/App/Http.php(116): Magento\Webapi\Controller\Rest\Interceptor->dispatch(Object(Magento\Framework\App\Request\Http))↵#12 /var/www/html/test/lib/internal/Magento/Framework/App/Bootstrap.php(261): Magento\Framework\App\Http->launch()↵#13 /var/www/html/test/pub/index.php(44): Magento\Framework\App\Bootstrap->run(Object(Magento\Framework\App\Http\Interceptor))↵#14 {main}"

  • Print value first from this line case 'longtext': $value = (string)$value; if ($column['NULLABLE'] && $value == '') { $value = null; } break;. – BartZalas Aug 15 at 20:30
  • try to restart your server and check – Mohit Patel Aug 16 at 4:54
  • @MohitPatel Yes, i did, still issue. – zus Aug 16 at 8:11
  • hi, can you provide the link for module download so we can analyze it? – Riccardo Ugolini Aug 19 at 10:13
  • @RiccardoUgolini Extension : marketplace.magento.com/eway-eway-rapid-magento2.html Installed by composer – zus Aug 19 at 10:15
3

To resolve this issue make the changes below paths.

Path : vendor/magento/framework/DB/Adapter/Pdo/Mysql.php

Look For --> public function prepareColumnValue(array $column, $value)

Replace below old code:

case 'longtext':
    $value  = (string)$value;
    if ($column['NULLABLE'] && $value == '') {
        $value = null;
    }
 break;

With new code:

case 'longtext':
    if(!is_array($value)) $value  = (string)$value;
    else $value = '';
    if ($column['NULLABLE'] && $value == '') {
        $value = null;
    }
   break;

Let me know if this one resolve your issue.

| improve this answer | |
  • 1
    Is it recommend to do changes in core files? – zus Aug 26 at 3:22
  • In my vendor/magento there is no framework folder, how to reach Mysql.php file? – zus Aug 26 at 14:15
  • @zus, Which Magento 2 version you are currently using? – CoderKube Technologies Aug 28 at 7:42
  • My Magento version 2.3.4 – zus Aug 28 at 7:46
  • Your solution working for, my major doubt is right what we did, Is it recommend to do changes in core files? – zus Aug 31 at 6:30
0

Try to downgrade your PHP version from PHP7.3 to PHP7.1.x

Magento 2.3.4 is compatible with PHP7.1.x

| improve this answer | |
  • Could you pls recommend PHP 7.2.x series? what series of 7.2.x support eway extension? We build some application based on 7.2.x series – zus Aug 26 at 14:44
  • devdocs.magento.com/guides/v2.3/install-gde/… PHP 7.1 announced EOL – zus Aug 26 at 14:53
  • I am using 7.2.33-1 in UBUNTU-20.04. Try with this. – arpit2011 Aug 27 at 6:52

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.